\name{getAttr}
\alias{getAttr}
\title{Extracts Attribute Values from a Character Vector of Attributes}
\description{
Returns a vector of \code{value}-s for attribute \code{field} in a character vector stored as \code{field = value}. No space is allowed between the field name and the equal sign: \code{field= 10;} - correct, whereas \code{field = 10;} - wrong. Spaces or absence of those are allowed in any other position (see example).
}
\usage{
getAttr(x, field, splitter = ";[[:space:]]?")
}
\arguments{
  \item{x}{A character vector containing attributes in form \code{field = value}}
  \item{field}{A character vector giving the name of the field to extract}
  \item{splitter}{A regular expression for a field separator. Default a semicolon optionally followed by a space.}
}
\value{
A character vector of the same length as input containing values for the given field.
}
\note{
The function is adapted from tilingArray::getAttributeField by W.Huber (regular expressions are used insted of \code{fixed = TRUE}).
}
\references{
W.Huber, \pkg{tilingArray} R package: \url{http://www.bioconductor.org/packages/bioc/stable/src/contrib/html/tilingArray.html}.
}
\author{Oleg Sklyar, email:\email{osklyar@ebi.ac.uk}}
\examples{
   attributes = c("height= 25; width= 30; depth=40;", "depth=18;height= 21;width= 16", "width= 0.45;height=-10;depth= 34")
   widths = getAttr(attributes, "width")
   print(widths)
}
\keyword{manip}
