\name{getTickCoords}
\alias{getTickCoords}
\title{Retrieves Coordinates of Best Formatted Tick Positions for Axis Labeling}
\description{
Given a \code{range} of minumum (\code{range[[1]]}) and maximum (\code{range[[2]]}) values the function suggests the best positions for axis ticks and labels aligning those to 1, 2, 5, 10 fold values. Specifically designed for large non-negative values, eg. \code{range = c(100, 12500)} etc. This function is not designed for values < 10 or negative.
}
\usage{
getTickCoords(range)
}
\arguments{
  \item{range}{Coordinate range as a numeric vector of two values: minimum - \code{range[[1]]} and maximum - \code{range[[2]]}}
}
\value{
   A numeric vector with tick coordinates.
}
\author{Oleg Sklyar, email:\email{osklyar@ebi.ac.uk}, based on code from W.Huber}
\seealso{
   \code{\link{plot.gff}}, \code{\link{plot.gff.toFile}}}
}
\examples{
   ticks = getTickCoords(c(150, 10000))
   print(ticks)
}
\keyword{manip}
\keyword{hplot}
